Bug 183933 - [maintainer update] update lang/basic256 to 1.0.0.0
Summary: [maintainer update] update lang/basic256 to 1.0.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-13 18:40 UTC by Fernando Apesteguía
Modified: 2013-11-19 22:50 UTC (History)
0 users

See Also:


Attachments
file.diff (3.36 KB, patch)
2013-11-13 18:40 UTC, Fernando Apesteguía
no flags Details | Diff
basic256.diff (5.30 KB, patch)
2013-11-18 23:35 UTC, guido
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2013-11-13 18:40:00 UTC
Update lang/basic256 to 1.0.0.0

Fix: Apply the attached patch.

It's been tested in redports for i386[1] and amd64[2]
This update removes an unnecessary patch, adds another one and extends a third one.

[1] https://redports.org//~fernape/20131113175501-11515-158973/basic256-1.0.0.0.log

[2] https://redports.org//~fernape/20131113175501-11515-158972/basic256-1.0.0.0.log

Patch attached with submission follows:
Comment 1 Guido Falsi freebsd_committer 2013-11-17 11:41:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 guido 2013-11-18 23:35:28 UTC
Hi,

I made a few further changes to your port:

- Convert to USES qmake and dos2unix
- Convert to staging
- Use LOCALBASE instead of hardconding /usr/local.
- Fix build on 10 and head with new libc++

This last change is due to a conflict which confuses clang/libc++ about 
the "mutex" variable name. I changed that variable name with a sed 
expression in the source files were this is needed. This change should 
be reported upstream. Please check that my fix does not break anything.

I also fixed a few problems with the plist, a few example files aren't 
being distributed anymore.

Can you approve the attached patch?

Thank you.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 3 Fernando Apesteguía freebsd_committer 2013-11-19 17:39:01 UTC
On Tue, Nov 19, 2013 at 12:35 AM, Guido Falsi <guido@falsiborrelli.it>wrote:

> Hi,
>
> I made a few further changes to your port:
>
> - Convert to USES qmake and dos2unix
> - Convert to staging
> - Use LOCALBASE instead of hardconding /usr/local.
> - Fix build on 10 and head with new libc++
>
> This last change is due to a conflict which confuses clang/libc++ about
> the "mutex" variable name. I changed that variable name with a sed
> expression in the source files were this is needed. This change should be
> reported upstream. Please check that my fix does not break anything.
>
> I also fixed a few problems with the plist, a few example files aren't
> being distributed anymore.
>
> Can you approve the attached patch?
>

Yes, I just tested it and the port's highly improved.

I'll report the changes to the upstream project.

Thanks!


>
> Thank you.
>
> --
> Guido Falsi <madpilot@FreeBSD.org>
>
>
Comment 4 dfilter service freebsd_committer 2013-11-19 22:39:58 UTC
Author: madpilot
Date: Tue Nov 19 22:39:50 2013
New Revision: 334360
URL: http://svnweb.freebsd.org/changeset/ports/334360

Log:
  - Update to 1.0.0.0
  - Convert to USES qmake and dos2unix
  - Convert to staging
  - Use LOCALBASE instead of hardconding /usr/local.
  - Fix build on 10 and head with new libc++
  
  PR:		ports/183933
  Submitted by:	Fernando <fernando.apesteguia@gmail.com> (maintainer)

Added:
  head/lang/basic256/files/patch-BasicGraph.cpp   (contents, props changed)
Deleted:
  head/lang/basic256/files/patch-RunController.cpp
Modified:
  head/lang/basic256/Makefile
  head/lang/basic256/distinfo
  head/lang/basic256/files/patch-BASIC256.pro
  head/lang/basic256/pkg-plist

Modified: head/lang/basic256/Makefile
==============================================================================
--- head/lang/basic256/Makefile	Tue Nov 19 22:34:03 2013	(r334359)
+++ head/lang/basic256/Makefile	Tue Nov 19 22:39:50 2013	(r334360)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	basic256
-PORTVERSION=	0.9.9.64
+PORTVERSION=	1.0.0.0
 CATEGORIES=	lang
 MASTER_SITES=	SF
 MASTER_SITE_SUBDIR=	kidbasic/${PORTNAME}
@@ -18,17 +18,16 @@ BUILD_DEPENDS=	espeak:${PORTSDIR}/audio/
 
 WRKSRC=		${WRKDIR}
 
-USES=		bison
+USES=		bison dos2unix qmake
 USE_SDL=	sdl mixer
 USE_QT4=	corelib gui network xml webkit moc_build qmake_build rcc_build uic_build
-USE_DOS2UNIX=	yes
 HAS_CONFIGURE=	yes
+QMAKE_PRO=	BASIC256.pro
 
 MAKE_JOBS_UNSAFE=yes
 
-NO_STAGE=	yes
-do-configure:
-	@cd ${WRKSRC} && ${SETENV} ${CONFIGURE_ENV} \
-	${QMAKE} "PREFIX=${PREFIX}" BASIC256.pro
+post-patch:
+	@${REINPLACE_CMD} -e 's/mutex/mymutex/' ${WRKSRC}/*.cpp
+	@${REINPLACE_CMD} -e 's|%%LOCALBASE%%|${LOCALBASE}|' ${WRKSRC}/${QMAKE_PRO}
 
 .include <bsd.port.mk>

Modified: head/lang/basic256/distinfo
==============================================================================
--- head/lang/basic256/distinfo	Tue Nov 19 22:34:03 2013	(r334359)
+++ head/lang/basic256/distinfo	Tue Nov 19 22:39:50 2013	(r334360)
@@ -1,2 +1,2 @@
-SHA256 (basic256_0.9.9.64.tgz) = 8a3a5f919502d98329e3922eb656d76bd69142e7bbb31c8cf5d78af1fbd3b991
-SIZE (basic256_0.9.9.64.tgz) = 1919053
+SHA256 (basic256_1.0.0.0.tgz) = 4eda84360eb576b38b7e514aeb8f2700681f81521932532d60693bc6c85a6652
+SIZE (basic256_1.0.0.0.tgz) = 1848926

Modified: head/lang/basic256/files/patch-BASIC256.pro
==============================================================================
--- head/lang/basic256/files/patch-BASIC256.pro	Tue Nov 19 22:34:03 2013	(r334359)
+++ head/lang/basic256/files/patch-BASIC256.pro	Tue Nov 19 22:39:50 2013	(r334360)
@@ -1,6 +1,15 @@
---- BASIC256.pro.orig	2013-02-11 23:43:57.000000000 +0100
-+++ BASIC256.pro	2013-02-11 23:47:27.000000000 +0100
-@@ -101,19 +101,19 @@
+--- BASIC256.pro.orig	2013-11-13 18:26:47.000000000 +0100
++++ BASIC256.pro	2013-11-13 18:36:29.000000000 +0100
+@@ -82,7 +82,7 @@
+ 
+ 	## TTS Option 2 - use the espeak library
+ 	DEFINES					+=	ESPEAK
+-	INCLUDEPATH				+=	/usr/include/espeak
++	INCLUDEPATH				+=	%%LOCALBASE%%/include/espeak
+ 	LIBS					+=	-lespeak
+ 
+ 	LIBS					+=	-lm
+@@ -113,19 +113,19 @@
  	# rules for make install
  	########
  	exampleFiles.files		=	./Examples

Added: head/lang/basic256/files/patch-BasicGraph.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/lang/basic256/files/patch-BasicGraph.cpp	Tue Nov 19 22:39:50 2013	(r334360)
@@ -0,0 +1,10 @@
+--- BasicGraph.cpp.orig	2013-09-28 18:25:56.000000000 +0200
++++ BasicGraph.cpp	2013-09-28 18:26:06.000000000 +0200
+@@ -37,7 +37,6 @@
+     #include <QPrinter>
+ #endif
+ 
+-using namespace std;
+ 
+ #include "BasicGraph.h"
+ 

Modified: head/lang/basic256/pkg-plist
==============================================================================
--- head/lang/basic256/pkg-plist	Tue Nov 19 22:34:03 2013	(r334359)
+++ head/lang/basic256/pkg-plist	Tue Nov 19 22:39:50 2013	(r334360)
@@ -106,6 +106,7 @@ bin/BASIC256
 %%DATADIR%%/Examples/testing/testplusplus2.kbs
 %%DATADIR%%/Examples/testing/testsubroutinebyref.kbs
 %%DATADIR%%/Examples/testing/testsuite.kbs
+%%DATADIR%%/Examples/testing/testsuite_functions.kbs
 %%DATADIR%%/Examples/testing/testtextfont.kbs
 %%DATADIR%%/Examples/testing/testtime.kbs
 %%DATADIR%%/Examples/testing/uaarray.kbs
@@ -803,16 +804,10 @@ bin/BASIC256
 %%DATADIR%%/help/graphicsutilitiesstampmaker.html
 %%DATADIR%%/help/graphicsutility.html
 %%DATADIR%%/help/index.html
-%%DATADIR%%/help/jp_start.html
-%%DATADIR%%/help/lib/exe/alert.png
 %%DATADIR%%/help/lib/exe/arc_example.png
 %%DATADIR%%/help/lib/exe/basic256.png
 %%DATADIR%%/help/lib/exe/chord_example.png
-%%DATADIR%%/help/lib/exe/circle.png
-%%DATADIR%%/help/lib/exe/color.png
-%%DATADIR%%/help/lib/exe/confirm.png
 %%DATADIR%%/help/lib/exe/css1353871590.css
-%%DATADIR%%/help/lib/exe/css1364650667.css
 %%DATADIR%%/help/lib/exe/de.png
 %%DATADIR%%/help/lib/exe/en.png
 %%DATADIR%%/help/lib/exe/en_cir.png
@@ -841,13 +836,8 @@ bin/BASIC256
 %%DATADIR%%/help/lib/exe/fr_cos.jpg
 %%DATADIR%%/help/lib/exe/fr_sin.jpg
 %%DATADIR%%/help/lib/exe/fr_tan.jpg
-%%DATADIR%%/help/lib/exe/gamesballoons.png
-%%DATADIR%%/help/lib/exe/gamescopycat.png
-%%DATADIR%%/help/lib/exe/gamesspinner.png
-%%DATADIR%%/help/lib/exe/graphicsutilitiesstamp2sprite.png
 %%DATADIR%%/help/lib/exe/jmreneau_mobius.png
 %%DATADIR%%/help/lib/exe/jmreneau_morie.png
-%%DATADIR%%/help/lib/exe/line.png
 %%DATADIR%%/help/lib/exe/nl.png
 %%DATADIR%%/help/lib/exe/nl_array.png
 %%DATADIR%%/help/lib/exe/nl_arrays_disp.png
@@ -866,9 +856,7 @@ bin/BASIC256
 %%DATADIR%%/help/lib/exe/nl_wrong_string.png
 %%DATADIR%%/help/lib/exe/opensearch.php
 %%DATADIR%%/help/lib/exe/pie_chart.png
-%%DATADIR%%/help/lib/exe/prompt.png
 %%DATADIR%%/help/lib/exe/pt.png
-%%DATADIR%%/help/lib/exe/rect.png
 %%DATADIR%%/help/lib/exe/ro.png
 %%DATADIR%%/help/lib/exe/ru.png
 %%DATADIR%%/help/lib/exe/ru_cir.png
@@ -878,7 +866,6 @@ bin/BASIC256
 %%DATADIR%%/help/lib/exe/ru_radians.png
 %%DATADIR%%/help/lib/exe/ru_stamp.png
 %%DATADIR%%/help/lib/exe/sp.png
-%%DATADIR%%/help/lib/exe/stampmaker.png
 %%DATADIR%%/help/lib/images/license/button/cc-by-nc-sa.png
 %%DATADIR%%/help/lib/images/smileys/fixme.gif
 %%DATADIR%%/help/lib/images/smileys/icon_exclaim.gif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Guido Falsi freebsd_committer 2013-11-19 22:40:44 UTC
State Changed
From-To: open->closed

Committed. Thanks!